Subject: Re: bug#48518: 13.0.11; LaTeX environment C-c C-e on region doesn't indent properly

From: Berthold Lorke <[email-masked]>
Date: Thu, 20 May 2021 20:59:55 +0200

I see no contradiction.

On 20/05/2021 19.27, Ikumi Keita wrote:
> [ Please keep Cc: [email-masked] in the header when replying. ]
> 
> Hi Berthold,
> 
>>>>>> Berthold Lorke <[email-masked]> writes:
>> Indeed, this fixes the indenting problem, but it adds a quirk.  I don't
>> want auto-fill-mode enabled, because this adds line breaks that I do not
>> wish to have.  Is there a way to achieve the indenting behaviour without
>> having it add line breaks?
> 
> This "no indent" behavior was implemented upon request of another user
> who also disables `auto-fill-mode'; Please take a look at the thread
> beginning with
> https://lists.gnu.org/r/auctex/2016-03/msg00056.html

I don't see how "no indent" was requested by Florian.  All he wanted was
no line wrapping of highlighted text after executing a latex-environment
C-c C-e command.  Which I also do not want.  So there is nothing he
suggested that I want changed.

> 
> What do you think about the rationale of the original poster of the
> above thread?
> 
> Maybe AUCTeX should do only indentation, not filling, when
> `auto-fill-mode' is disabled. (I'm not sure what is the best behavior
> because I always enable `auto-fill-mode'.)

Yes!  This is exactly what I am requesting :)

> Regards,
> Ikumi Keita